%define upstream_name Bio-FeatureIO
%define upstream_version 1.6.905

%global __provides_exclude_from ^%{_docdir}
%global __requires_exclude_from ^%{_docdir}

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Handler for FeatureIO
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Bio/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Bio::AnnotatableI)
BuildRequires: perl(Bio::Annotation::Collection)
BuildRequires: perl(Bio::Annotation::Comment)
BuildRequires: perl(Bio::Annotation::DBLink)
BuildRequires: perl(Bio::Annotation::OntologyTerm)
BuildRequires: perl(Bio::Annotation::SimpleValue)
BuildRequires: perl(Bio::Annotation::Target)
BuildRequires: perl(Bio::FeatureHolderI)
BuildRequires: perl(Bio::LocatableSeq)
BuildRequires: perl(Bio::Location::Simple)
BuildRequires: perl(Bio::Ontology::OntologyStore)
BuildRequires: perl(Bio::OntologyIO)
BuildRequires: perl(Bio::Root::IO)
BuildRequires: perl(Bio::Root::Root)
BuildRequires: perl(Bio::Root::Test)
BuildRequires: perl(Bio::SeqFeature::AnnotationAdaptor)
BuildRequires: perl(Bio::SeqFeature::Generic)
BuildRequires: perl(Bio::SeqFeature::TypedSeqFeatureI)
BuildRequires: perl(Bio::SeqIO)
BuildRequires: perl(Bio::Tools::GFF)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Symbol)
BuildRequires: perl(Test::More)
BuildRequires: perl(Tree::DAG_Node)
BuildRequires: perl(URI::Escape)
BuildRequires: perl(XML::DOM)
BuildRequires: perl(XML::DOM::XPath)
BuildRequires: perl(base)
BuildRequires: perl(constant)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Bio::FeatureIO is a BioPerl-based parser for feature data from common
biological sequence formats, such as GFF3, GTF, and BED.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.6.905-8.mga10
+ Revision: 2197760
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 tv <tv> 1.6.905-7.mga9
+ Revision: 1802240
- Add missing BRs (thanks to "magpie fix")
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.6.905-5.mga8
+ Revision: 1492944
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.6.905-4.mga7
+ Revision: 1265781
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 1.6.905-3.mga6
+ Revision: 1022724
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.6.905-2.mga6
+ Revision: 950848
- Mageia 6 Mass Rebuild

* Tue Nov 25 2014 sander85 <sander85> 1.6.905-1.mga5
+ Revision: 798899
- imported package perl-Bio-FeatureIO

